#include "SNGWindow.h"
#include <string.h>

TSyslogWindow::TSyslogWindow( BRect frame ):BWindow( frame, "SyslogNG", B_DOCUMENT_WINDOW,0)
{
  BRect viewFrame = Bounds();
  SyslogView = new TSyslogView( viewFrame );
  AddChild( SyslogView );

  Syslog = new TSyslog(this,new BMessage(SYSLOG_RECEIVED),514);
}

bool TSyslogWindow::QuitRequested()
{
  Syslog->loop = false;
  Syslog->Lock();
  Syslog->Quit();
  be_app->PostMessage( B_QUIT_REQUESTED );
  return true;
}

void TSyslogWindow::MessageReceived( BMessage* msg )
{
const char *amsg;

  switch(msg->what) {
    case SYSLOG_RECEIVED:
      amsg = msg->FindString("log");
      SyslogView->LogTextView->Insert(amsg,strlen(amsg));
      SyslogView->LogTextView->Insert("\n",1);
      SyslogView->LogTextView->ScrollToSelection();
      break;
    default:
      inherited::MessageReceived( msg );
  };
}
